

WITH operacoes AS (
    SELECT
        codigo,
        data_base,
        quantidade_de_clientes_com_operacoes_ativas as quantidade_clientes,
        quantidade_de_operacoes_ativas as quantidade_operacoes,
        'Conglomerado Financeiro' as tipo_instituicao
    FROM "silver"."main"."financial_conglomerates_portfolio_number_clients_operations"
    
    UNION ALL
    
    SELECT
        codigo,
        data_base,
        quantidade_de_clientes_com_operacoes_ativas as quantidade_clientes,
        quantidade_de_operacoes_ativas as quantidade_operacoes,
        'Conglomerado Financeiro (SCR)' as tipo_instituicao
    FROM "silver"."main"."financial_conglomerates_scr_portfolio_number_clients_operations"
)

SELECT
    
    
        md5(cast(cast(codigo as bigint) as varchar) || tipo_instituicao)
    
 as id_instituicao,
    
    strftime(try_cast(data_base as date), '%Y%m%d')::int
 as id_data,
    quantidade_clientes,
    quantidade_operacoes
FROM operacoes